Bug 147220 - howl has an unnecessarily large set of dependencies
howl has an unnecessarily large set of dependencies
Product: Fedora
Classification: Fedora
Component: howl (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-02-04 16:15 EST by Tom Wood
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-07 03:12:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2005-02-04 16:15:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
howl has a huge set of package dependencies.  From my perspective,
since we have no Macs, we don't need this installed.  "yum remove
howl" generates an enormous list of dependent items, most of which
don't make a whole lot of sense.

Here's the list from one of my machines when I run "yum remove howl":

Dependencies Resolved
Transaction Listing:
  Remove: howl.i386 0:0.9.6-6

Performing the following to resolve dependencies:
  Remove: NetworkManager-gnome.i386 0:0.3.3-1.cvs20050119.2.fc3
  Remove: control-center.i386 1:2.8.0-12
  Remove: desktop-printing.i386 0:0.17-3
  Remove: eel2.i386 0:2.8.1-2
  Remove: eog.i386 0:2.8.0-3
  Remove: evolution-data-server.i386 0:1.0.2-3
  Remove: file-roller.i386 0:2.8.1-1
  Remove: firefox.i386 0:1.0-2.fc3
  Remove: firstboot.noarch 0:1.3.33-1
  Remove: gconf-editor.i386 0:2.8.0-2
  Remove: gdm.i386 1:
  Remove: gedit.i386 1:2.8.1-2.fc3
  Remove: ggv.i386 0:2.8.0-1
  Remove: gnome-applets.i386 1:2.8.0-5
  Remove: gnome-desktop.i386 0:2.8.0-3
  Remove: gnome-keyring-manager.i386 0:0.0.3-1
  Remove: gnome-media.i386 0:2.8.0-3.FC3.1
  Remove: gnome-netstatus.i386 0:2.8.0-3
  Remove: gnome-panel.i386 0:2.8.1-3
  Remove: gnome-pilot.i386 0:2.0.12-4
  Remove: gnome-python2.i386 0:2.6.0-3
  Remove: gnome-python2-bonobo.i386 0:2.6.0-3
  Remove: gnome-python2-canvas.i386 0:2.6.0-3
  Remove: gnome-python2-gtkhtml2.i386 0:2.6.0-3
  Remove: gnome-session.i386 0:2.8.0-4
  Remove: gnome-system-monitor.i386 0:2.7.0-2
  Remove: gnome-terminal.i386 0:2.7.3-1
  Remove: gnome-utils.i386 1:2.8.0-5
  Remove: gnome-vfs2.i386 0:2.8.2-8
  Remove: gnome-vfs2-smb.i386 0:2.8.2-8
  Remove: gnome-volume-manager.i386 0:1.1.0-5
  Remove: gnopernicus.i386 0:0.9.12-1
  Remove: gok.i386 0:0.11.8-1
  Remove: gpdf.i386 0:2.8.2-2.2
  Remove: gstreamer-plugins.i386 0:0.8.5-1
  Remove: gthumb.i386 0:2.4.2-5
  Remove: gtkhtml2.i386 0:2.6.2-1
  Remove: howl-libs.i386 0:0.9.6-6
  Remove: hwbrowser.noarch 0:0.18-2
  Remove: krb5-auth-dialog.i386 0:0.2-1
  Remove: libbonoboui.i386 0:
  Remove: libgail-gnome.i386 0:1.1.0-1
  Remove: libgnome.i386 0:2.8.0-2
  Remove: libgnomeui.i386 0:2.8.0-1
  Remove: libgsf.i386 0:1.10.1-1
  Remove: librsvg2.i386 0:2.8.1-1
  Remove: memprof.i386 1:0.5.1-5
  Remove: nautilus.i386 0:2.8.1-4
  Remove: nautilus-cd-burner.i386 0:2.8.3-6
  Remove: nautilus-media.i386 0:0.8.1-3
  Remove: rhn-applet.i386 0:2.1.16-1
  Remove: system-config-network.noarch 0:1.3.22-1
  Remove: system-config-packages.noarch 0:1.2.20-1
  Remove: system-config-printer-gui.i386 0:
  Remove: up2date-gnome.i386 0:4.3.47-5
  Remove: vino.i386 0:2.8.1-1
  Remove: yelp.i386 0:2.6.3-1
Is this ok [y/N]:

You can guess my answer to the above question.

I guess this is a rant about philosophy.  Maybe I'm myopic.  But I
just don't see a lot of folks tying into Rendervous with linux,
especially me.  Why this has such prominence in fc3 I can't understand.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to remove howl.  I dare you.
2. Watch it complain about needing to remove large pieces of gnome,
3. Whine about howl being tightly tied into the rest of fc3, like fc3
was created to be competition for MacOS X.

Actual Results:  Stunned at the dependencies.

Expected Results:  Rendervous should have had an eponynomy with the
bit bucket.

Additional info:
Comment 1 Alexander Larsson 2005-02-07 03:12:11 EST
I'm really not interested in flamewars about distro philosophy in
bugzilla. howl is hardly a large package, and we're starting to see
interesting use of it in the desktop.

Note You need to log in before you can comment on or make changes to this bug.